<template>
    <base-card>
    <span class="opcion-filtro">
        <input type="checkbox" id="enespera" checked @change="setFiltro">
        <label for="enespera">En espera</label>
    </span>
    <span class="opcion-filtro">
        <input type="checkbox" id="confirmado" checked @change="setFiltro">
        <label for="confirmado">Confirmado</label>
    </span>
    <span class="opcion-filtro">
        <input type="checkbox" id="terminado" @change="setFiltro">
        <label for="terminado">Terminado</label>
    </span>
    </base-card>
</template>
<script>
export default {
    emits:['cambio-filtro'],
    data(){
        return{
            filtros:{
                enespera:true,
                confirmado:true,
                terminado:false
            }
        };
    },
    methods:{
        setFiltro(event){
            const inputId=event.target.id;
            const esActivo=event.target.checked;
            const filtroActualizado={
                ...this.filtros,
                [inputId]:esActivo
            };
            this.filtros=filtroActualizado;
            this.$emit('cambio-filtro', filtroActualizado);
        }
    }
}
</script>
<style scoped>
h2 {
  margin: 0.5rem 0;
}

.filter-option {
  margin-right: 1rem;
}

.filter-option label,
.filter-option input {
  vertical-align: middle;
}

.filter-option label {
  margin-left: 0.25rem;
}

.filter-option.active label {
  font-weight: bold;
}
</style>